#
# spec file for package smpppd (Version 1.59)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openslp-devel openssl openssl-devel pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim wireless-tools zlib zlib-devel

Name:           smpppd
BuildRequires:  gcc-c++ openslp-devel openssl-devel wireless-tools
License:        GPL
Group:          Productivity/Networking/PPP
Summary:        SuSE Meta PPP Daemon
Requires:       ppp wvdial pptp wireless-tools /usr/bin/killall
Provides:       kinternet:/etc/rc.dialout
Provides:       pppoed
Obsoletes:      pppoed
Version:        1.59
Release:        19.2
Source0:        smpppd-1.59.tar.bz2
Patch0:         smpppd-wlan_connection_status.diff
Patch1:         dev_shm_sysconfig.diff
Patch2:         smpppd-1.59-dhcp.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %fillup_prereq %insserv_prereq

%description
The SuSE Meta PPP Daemon is the back-end for kinternet. It is required
for modem, ISDN, and DSL connections.



Authors:
--------
    Arvin Schnell <arvin@suse.de>

%debug_package
%prep
%setup -n smpppd-1.59
%patch -p1
%patch1
%patch2 -p1

%build
export CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG"
aclocal
libtoolize --force --automake --copy
autoheader
automake --add-missing --copy
autoconf
%{?suse_update_config:%{suse_update_config -f}}
./configure --prefix=/usr --sysconf=/etc --mandir=%{_mandir}
make %{?jobs:-j%jobs}
make check

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/etc/init.d
install misc/smpppd.conf %{buildroot}/etc/
install misc/smpppd-c.conf %{buildroot}/etc/
install misc/rc.smpppd %{buildroot}/etc/init.d/smpppd
ln -sf ../../etc/init.d/smpppd %{buildroot}/usr/sbin/rcsmpppd
install -d %{buildroot}/var/lib/smpppd
install -d %{buildroot}/var/log/smpppd
install -d %{buildroot}/var/run/smpppd

%clean
rm -rf %{buildroot}

%files
%defattr (-, root, root)
%attr (600, root, root) %config(noreplace) /etc/smpppd.conf
%attr (640, root, dialout) %config(noreplace) /etc/smpppd-c.conf
%config /etc/init.d/smpppd
/usr/bin/cinternet
/usr/bin/accounting
/usr/sbin/smpppd
/usr/sbin/smpppd-ifcfg
/usr/sbin/smpppd-dhcp
/usr/sbin/rcsmpppd
%attr (700, root, root) %dir /var/lib/smpppd
%attr (750, root, dialout) %dir /var/log/smpppd
%attr (750, root, dialout) %dir /var/run/smpppd
%doc /usr/share/man/man1/cinternet.1.gz
%doc /usr/share/man/man1/accounting.1.gz
%doc /usr/share/man/man5/smpppd-c.conf.5.gz
%doc /usr/share/man/man5/smpppd.conf.5.gz
%doc /usr/share/man/man8/smpppd.8.gz
%doc /usr/share/man/man8/smpppd-ifcfg.8.gz
%doc /usr/share/doc/packages/smpppd

%post
%{fillup_and_insserv smpppd}

%preun
%{stop_on_removal smpppd}

%postun
%{insserv_cleanup}
%{restart_on_update smpppd}

%changelog -n smpppd
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - lnussel@suse.de
- use ifrenew instead of blindly starting dhcpcd (#143329)
* Mon Jan 16 2006 - sscheler@suse.de
- moved latest modification from tarball to a patch file
* Thu Jan 12 2006 - sscheler@suse.de
- changed SYSCONFIG_STATUS_PATH to "/dev/shm/sysconfig/"
* Tue Sep 06 2005 - jg@suse.de
- using association status and existance of an IP address to
  determine connection status for wireless interfaces
  (bugs 113593 and 115430)
- polling connection status for wireless interfaces (bug 115430)
* Sun Sep 04 2005 - jg@suse.de
- using association status to set connection status for wireless
  interfaces (bug 113593)
* Mon Jul 11 2005 - arvin@suse.de
- adapted to new wireless-tools
* Fri Mar 18 2005 - jg@suse.de
- wlan supprot: fixed quality/signal/noise level output (was broken
  for drivers which only report absolute values)
* Wed Mar 16 2005 - jg@suse.de
- wlan support: after setting essid do a real restart of dhcpcd
  instead of renew dhcp lease as this usually does not work when
  switching access points
* Mon Mar 14 2005 - jg@suse.de
- possible buffer overflows fixed (bug 72406)
* Sat Mar 12 2005 - jg@suse.de
- fixed file descriptor leak
- implemented hashed WEP keys
- added (re)trigger of dhcpcd when ESSID gets set
- another cinternet manpage update
* Mon Mar 07 2005 - jg@suse.de
- updated cinternet manpage
- added support for hashed WEP keys
- added connection status command
- added check for existing default route (by adrian@suse.de)
* Mon Feb 14 2005 - jg@suse.de
- added wlan specific functions
* Wed Sep 22 2004 - arvin@suse.de
- fixed status transmission (bug #45765)
* Tue Sep 14 2004 - arvin@suse.de
- transmit minimal config for outsiders required by kinternet
* Fri Sep 10 2004 - arvin@suse.de
- fixed debug option for ifup
* Mon Sep 06 2004 - arvin@suse.de
- tiny internal code improvements
* Mon Aug 30 2004 - arvin@suse.de
- added calls to stop/try-restart on uninstall/update (bug #37389)
* Wed Aug 25 2004 - arvin@suse.de
- added requires for killall
* Wed Aug 18 2004 - arvin@suse.de
- run ifup/down in background
* Wed Aug 11 2004 - arvin@suse.de
- renamed SMPPPD_IGNORE to USERCONTROL (bug #43652)
* Fri Jul 23 2004 - arvin@suse.de
- modem ifcfg files are now called ifcfg-modem* instead of
  ifcfg-ppp*
* Thu Jul 22 2004 - arvin@suse.de
- handle SMPPPD_IGNORE parameter
* Thu Jul 22 2004 - arvin@suse.de
- control all interfaces known to ifup mechanism
* Wed Jul 21 2004 - arvin@suse.de
- set persistent interface name
* Thu Jul 08 2004 - arvin@suse.de
- allow frontends to set dial-prefix of modem configs (#23315)
* Fri Apr 30 2004 - arvin@suse.de
- fixed traffic volume accounting for pppd running with option
  persist (bug #37647)
* Wed Apr 28 2004 - arvin@suse.de
- include connection starting user in accounting log
* Mon Apr 05 2004 - kkeil@suse.de
- reopen isdn device files, if not already open (bug #38124)
* Fri Apr 02 2004 - arvin@suse.de
- added call to pppstat.reset for modem
* Wed Mar 31 2004 - arvin@suse.de
- save used interface in info file (see bug #37643)
* Mon Mar 29 2004 - arvin@suse.de
- fixed service name et. al. in modify_resolvconf calls
* Thu Mar 18 2004 - arvin@suse.de
- handle return value of connection->start
- fixed log message
* Mon Mar 15 2004 - arvin@suse.de
- adpated to rename of getconfig to getcfg
* Fri Mar 12 2004 - arvin@suse.de
- adapted dsl to brand new ethernet configuartion (bug #35756)
* Fri Feb 20 2004 - arvin@suse.de
- pass name of ifcfg and provider file as ipparam to pppd and
  thus to ip-up script
* Wed Feb 18 2004 - arvin@suse.de
- improved parsing of config files
* Sat Feb 14 2004 - arvin@suse.de
- adapted error detection to pppd version 2.4.2
* Mon Feb 09 2004 - arvin@suse.de
- add version to slp attributes
* Mon Jan 19 2004 - arvin@suse.de
- build package as non root user
* Sat Jan 17 2004 - arvin@suse.de
- improved lookup of smpppd from cinternet
* Wed Nov 19 2003 - ro@suse.de
- remove web subpackage
* Fri Nov 14 2003 - arvin@suse.de
- fixed listing of modem config (bug #33136)
* Tue Nov 11 2003 - arvin@suse.de
- added SLP support
* Tue Oct 28 2003 - arvin@suse.de
- support summaries on a per month et.al. basis in accounting
* Thu Sep 25 2003 - arvin@suse.de
- report correct status and action-flags to frontends in case of
  broken configuration (as seen in bug #31443)
* Thu Sep 25 2003 - arvin@suse.de
- added option "reload-selects-default-provider" and even turn it
  on per default (bug #31477)
* Fri Sep 19 2003 - kkeil@suse.de
- ISDN fixes (#31322)
  * fix ask password function
  * implement add/remove link for ISDN-old too
  * ask status via IOCTL instead of calling a shellscript every
  second (which was starting multiple proccesses)
* Sun Aug 24 2003 - arvin@suse.de
- added optional display of average duration in accounting
* Tue Jul 22 2003 - arvin@suse.de
- fixed dial on demand for capi-isdn mode
- added optional display of average rx and tx values in accounting
* Fri Jul 18 2003 - arvin@suse.de
- added multilink support for capi-isdn mode
* Wed Jul 16 2003 - arvin@suse.de
- removed feature to kill dhcp client - didn't work anyway and
  will be obsolete with better dsl setup in yast2
* Wed Jun 25 2003 - arvin@suse.de
- fixed capi-isdn mode
* Wed Jun 04 2003 - arvin@suse.de
- fixed demand mode for pptp and pppoe-rp
* Mon Jun 02 2003 - arvin@suse.de
- added pptp support (bug #18407)
* Sat Mar 15 2003 - arvin@suse.de
- fixed status information for isdn
* Fri Mar 14 2003 - arvin@suse.de
- fixed host-range option
* Wed Mar 12 2003 - arvin@suse.de
- make documentation for cinternet more explicit (bug #25126)
* Wed Mar 05 2003 - arvin@suse.de
- removed empty readme file (bug #15052)
* Tue Mar 04 2003 - arvin@suse.de
- better dns handling for demand connections
* Tue Mar 04 2003 - arvin@suse.de
- for dsl handle hotplug eth devices (bug #24056)
* Fri Feb 28 2003 - arvin@suse.de
- fixed isdn (bug #23853)
* Thu Feb 27 2003 - arvin@suse.de
- fixed handling of start command received from frontends
* Fri Feb 21 2003 - arvin@suse.de
- fixed reading of config for isdn (bug #23858 and #23859)
* Sun Feb 16 2003 - arvin@suse.de
- fixed status information for isdn
* Sat Feb 15 2003 - arvin@suse.de
- updated handling of status file for rcnetwork script (not yet
  perfect solution)
* Mon Feb 10 2003 - arvin@suse.de
- reactivated isdn
* Thu Feb 06 2003 - arvin@suse.de
- flush communication stream between smpppd and smpppd-ifcfg
  before exit
- updated man pages
* Thu Jan 02 2003 - arvin@suse.de
- added options to accounting to change format of output
* Wed Dec 11 2002 - arvin@suse.de
- implemented correct output for utf-8 terminals
* Wed Dec 04 2002 - arvin@suse.de
- updated man pages
* Tue Dec 03 2002 - arvin@suse.de
- nicer output of lists in cinternet (bug #15227)
* Fri Nov 22 2002 - arvin@suse.de
- new major version (1.00)
- control several connections simultaneously
- protocol for frontends has changed
* Wed Nov 06 2002 - arvin@suse.de
- implemented accounting (not for isdn yet)
* Mon Oct 14 2002 - arvin@suse.de
- moved cinternet from /usr/sbin to /usr/bin so normal users
  have it in their search path (bug #20841)
- allow pppd exit 0 in auto-reconnect-exits
* Mon Oct 07 2002 - arvin@suse.de
- create temporary wvdial.conf in a secure way (bug #20590)
* Sun Sep 01 2002 - arvin@suse.de
- added support to ask for password for isdn
* Thu Aug 29 2002 - arvin@suse.de
- get isdn status during startup
- only handle isnd syncppp connections
* Mon Aug 26 2002 - arvin@suse.de
- use ifstatus-ippp to get status of isdn connection
* Thu Aug 15 2002 - arvin@suse.de
- towards working isdn again
* Wed Aug 14 2002 - arvin@suse.de
- handle MODIFYIP options
* Mon Aug 12 2002 - arvin@suse.de
- added ppp-mode ppp for dsl (should work for "SDI DSL modems")
* Sat Aug 10 2002 - arvin@suse.de
- implemented experimental capi-isdn mode
* Wed Aug 07 2002 - arvin@suse.de
- fixed handling of option PPPD_OPTIONS (bug #17378)
- renamed option AUTODNS to MODIFYDNS
* Tue Aug 06 2002 - arvin@suse.de
- added option CHAT_SCRIPT to modem configuration (bug #17341)
- added log message for missing peers files
- call peers file ppp (not wvdial) for modem (bug #17341)
* Fri Aug 02 2002 - ro@suse.de
- adapt server root
* Wed Jul 31 2002 - arvin@suse.de
- added prerequires
* Sun Jul 21 2002 - arvin@suse.de
- fixed typos in smpppd-c manpage (bug #17121)
* Thu Jul 18 2002 - arvin@suse.de
- moved services isdn, wwwoffle and named to Should-Start and
  Should-Stop in init script
* Tue Jun 25 2002 - arvin@suse.de
- added pppmode capi-adsl (for Fritz!Card DSL)
* Thu May 23 2002 - arvin@suse.de
- provide correct username and password to wvdial
* Tue May 07 2002 - arvin@suse.de
- again fixes for gcc 3.1
* Wed Mar 20 2002 - arvin@suse.de
- smpppd can bind to a special ip address (bug #15228)
* Wed Mar 20 2002 - arvin@suse.de
- even better support for new isdn setup
* Fri Mar 15 2002 - arvin@suse.de
- fixed retrieving of datarate for isdn (workaround bug #15006)
* Wed Mar 13 2002 - arvin@suse.de
- timeout for password prompt in cinternet
* Tue Mar 12 2002 - arvin@suse.de
- better support for new isdn setup
* Fri Mar 08 2002 - arvin@suse.de
- first support for new isdn setup
* Mon Mar 04 2002 - arvin@suse.de
- removed special insserv for update purpose (now done
  in sysconfig)
* Sat Mar 02 2002 - arvin@suse.de
- use getpass to read password in cinternet
* Thu Feb 28 2002 - arvin@suse.de
- renamed i4l -> isdn in start script
* Sat Feb 23 2002 - arvin@suse.de
- added RUN_POLL_TCPIP option (#bug 12828)
* Tue Feb 19 2002 - arvin@suse.de
- updated manpages
* Wed Feb 13 2002 - arvin@suse.de
- handle PPPD_OPTIONS for dsl (bug #13211)
* Tue Feb 12 2002 - arvin@suse.de
- fixed numbering of init commands in output of configuration
* Fri Feb 08 2002 - arvin@suse.de
- remove temporary wvdial.conf after use
* Thu Feb 07 2002 - arvin@suse.de
- only call modify_resolv in demand mode when autodns is set
* Wed Feb 06 2002 - arvin@suse.de
- added auto-reconnect support for modem and dsl
* Fri Feb 01 2002 - arvin@suse.de
- values in config files can be surrounded by apostrophes
* Thu Jan 31 2002 - arvin@suse.de
- fixed some options names
* Tue Jan 29 2002 - arvin@suse.de
- reactivated remote support of cinternet
* Mon Jan 28 2002 - arvin@suse.de
- bring ethernet device up for PPPoE
- only handle PADI timeout for PPPoE
* Mon Jan 28 2002 - arvin@suse.de
- resend status to clients after selecting new interface/provider
* Wed Jan 23 2002 - arvin@suse.de
- improved cinternet to handle multiple commands at once and
  report errors
* Fri Jan 18 2002 - arvin@suse.de
- added support to send current dial-up configuration to clients
* Fri Jan 18 2002 - ro@suse.de
- fixed initscript comment
* Wed Jan 16 2002 - arvin@suse.de
- added some sanity checks for the configuration
* Tue Jan 08 2002 - arvin@suse.de
- added some example configurations
* Mon Jan 07 2002 - arvin@suse.de
- added pppoatm support
* Wed Jan 02 2002 - arvin@suse.de
- fixed compile problem on gcc 3.0
* Fri Dec 14 2001 - ro@suse.de
- fix fillup_and_insserv macro call
* Mon Dec 10 2001 - arvin@suse.de
- added support to send pppd signal SIGHUP to hangup a dial on
  demand connection (bug #11113)
* Mon Dec 03 2001 - arvin@suse.de
- adapted to the new SuSE network config
* Thu Nov 22 2001 - arvin@suse.de
- removed rc-variable START_SMPPPD
* Tue Nov 13 2001 - arvin@suse.de
- fixed writing of "wwwoffle-use" and "wwwoffle-fetch" in
  /var/lib/smpppd/smpppd.var.conf
* Tue Oct 23 2001 - arvin@suse.de
- use buildroot in spec file
* Fri Oct 19 2001 - arvin@suse.de
- use official port number 3185 from IANA
* Thu Oct 18 2001 - arvin@suse.de
- fixed option "ask password" for modem
* Tue Oct 16 2001 - arvin@suse.de
- correctly detach from terminal
* Mon Oct 15 2001 - arvin@suse.de
- correctly stop internet connection on SIGTERM
* Tue Oct 09 2001 - arvin@suse.de
- detach from terminal (avoid hanging processes in yast2)
* Sun Oct 07 2001 - adrian@suse.de
- change web layout (new one by cwh)
* Wed Oct 03 2001 - adrian@suse.de
- add meta line for 8859-1 encoding
  (fix broken layout for Konqueror <2.2)
* Wed Sep 26 2001 - arvin@suse.de
- added support for roaring penguin pppoe
* Wed Sep 26 2001 - arvin@suse.de
- added Czech translation to web front end (by mvidner@suse.cz)
- always utf-8 encoding in web front end
* Wed Sep 26 2001 - arvin@suse.de
- Required-Start and Required-Stop += $named, $wwwoffle ->
  wwwoffle (bug #10426)
* Tue Sep 25 2001 - arvin@suse.de
- fixed reload of web page
* Sun Sep 23 2001 - arvin@suse.de
- Required-Start and Required-Stop += $remote_fs
* Sun Sep 23 2001 - arvin@suse.de
- ignore start-on-start = demand for isdn (it is inappropriate)
* Sat Sep 22 2001 - arvin@suse.de
- Required-Start and Required-Stop += i4l
* Sat Sep 22 2001 - arvin@suse.de
- correctly get status of isdn connection
* Thu Sep 20 2001 - arvin@suse.de
- added Provides: kinternet:/etc/rc.dialout (fix for bug #11050)
* Thu Sep 20 2001 - arvin@suse.de
- use private port number 53163
* Tue Sep 18 2001 - arvin@suse.de
- simply use variable START_HTTPD in apache module
* Mon Sep 17 2001 - arvin@suse.de
- make the apache module work
* Fri Sep 14 2001 - poeml@suse.de
- add smpppd.module and smpppd.conf for apache
* Thu Sep 13 2001 - arvin@suse.de
- modified webfrontend
* Tue Sep 11 2001 - arvin@suse.de
- fixed fd leak (with help of schwab)
* Thu Sep 06 2001 - arvin@suse.de
- added one more error message (bug #10242)
- remember active provider during reload
* Tue Sep 04 2001 - arvin@suse.de
- set START_SMPPPD to yes if rc.dialout is properly configured
  (needed during update)
* Mon Aug 27 2001 - arvin@suse.de
- moved webfrontend into separate package
* Thu Aug 23 2001 - arvin@suse.de
- added webfrontend by cstein@suse.de
* Tue Aug 21 2001 - arvin@suse.de
- started to document protocol and thus
- changed protocol
* Thu Aug 09 2001 - arvin@suse.de
- first usable version
* Mon Aug 06 2001 - arvin@suse.de
- added man pages
- a lot of misc stuff
* Wed Jul 25 2001 - arvin@suse.de
- probably finished adsl and isdn stuff
* Mon Jul 23 2001 - arvin@suse.de
- probably finished modem stuff
* Wed Jul 04 2001 - arvin@suse.de
- initial version
